Bug 57191 - Incorrect behawior of ls --ignore='*.doc' *
Incorrect behawior of ls --ignore='*.doc' *
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: fileutils (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-06 13:30 EST by Jaroslaw Sosnicki
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 18:00:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Sosnicki 2001-12-06 13:30:08 EST
Description of Problem:
Incorrect behavior of ls --ignore='*.doc' * 

Version-Release number of selected component (if applicable):
fileutils-4.1-6 and other

How Reproducible:
Always 

Steps to Reproduce:
1. 
[root@ns2 foo]# ls -l
total 0
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo1.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo1.txt
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo2.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo2.txt
[root@ns2 foo]# ls -l *
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo1.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo1.txt
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo2.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo2.txt
[root@ns2 foo]# ls -l --ignore='*.doc'
total 0
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo1.txt
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo2.txt
[root@ns2 foo]# ls -l --ignore='*.doc' *
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo1.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo1.txt
-rw-r--r--    1 root     root            0 Dec  6 10:47 foo2.doc
-rw-r--r--    1 root     root            0 Dec  6 10:46 foo2.txt
[root@ns2 foo]# 

2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Phil Knirsch 2002-07-22 09:20:41 EDT
Expected behaviour according to info ls:

`--ignore=PATTERN'
     Do not list files whose names match the shell pattern (not regular
     expression) PATTERN unless they are given on the command line.  As
                         ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
     in the shell, an initial `.' in a file name does not match a
     wildcard at the start of PATTERN.  Sometimes it is useful to give
     this option several times.  For example,

          $ ls --ignore='.??*' --ignore='.[^.]' --ignore='#*'

     The first option ignores names of length 3 or more that start with
     `.', the second ignores all two-character names that start with `.'
     except `..', and the third ignores names that start with `#'.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.